Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.cell.client
Class TextInputCell

    java.lang.Object
      com.google.gwt.cell.client.AbstractCell<C>
          com.google.gwt.cell.client.AbstractEditableCell<C,V>
              com.google.gwt.cell.client.AbstractInputCell<java.lang.String,TextInputCell.ViewData>
                  com.google.gwt.cell.client.TextInputCell

All Implemented Interfaces:
  Cell<java.lang.String>

    public class TextInputCell

extends AbstractInputCell<java.lang.String,TextInputCell.ViewData>

An `AbstractCell` used to render a text input.

Nested Class Summary
`(package private) static interface` | `TextInputCell.Template`
`static class` | `TextInputCell.ViewData` The `ViewData` for this cell.

Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell
`Cell.Context`

Constructor Summary
`TextInputCell()` Constructs a TextInputCell that renders its text without HTML markup.
`TextInputCell(SafeHtmlRenderer<java.lang.String> renderer)` Deprecated. the value of a text input is never treated as html

Method Summary
`protected void` | `finishEditing(Element parent, java.lang.String value, java.lang.Object key, ValueUpdater<java.lang.String> valueUpdater)` Call this method when editing is complete.
`protected InputElement` | `getInputElement(Element parent)` Get the input element.
`void` | `onBrowserEvent(Cell.Context context, Element parent, java.lang.String value, NativeEvent event, ValueUpdater<java.lang.String> valueUpdater)` Handle a browser event that took place within the cell.
`void` | `render(Cell.Context context, java.lang.String value, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

Methods inherited from class com.google.gwt.cell.client.AbstractInputCell
`isEditing, onEnterKeyDown, resetFocus`

Methods inherited from class com.google.gwt.cell.client.AbstractEditableCell
`clearViewData, getViewData, setViewData`

Methods inherited from class com.google.gwt.cell.client.AbstractCell
`dependsOnSelection, getConsumedEvents, handlesSelection, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextInputCell

    public TextInputCell()

  Constructs a TextInputCell that renders its text without HTML markup.

### TextInputCell

    @Deprecated
    public TextInputCell(SafeHtmlRenderer<java.lang.String> renderer)

  Deprecated. the value of a text input is never treated as html

  Constructs a TextInputCell that renders its text using the given `SafeHtmlRenderer`.

  Parameters:
    `renderer` - parameter is ignored

Method Detail

### onBrowserEvent

    public void onBrowserEvent(Cell.Context context,
                               Element parent,
                               java.lang.String value,
                               NativeEvent event,
                               ValueUpdater<java.lang.String> valueUpdater)

  Description copied from class: `AbstractCell`
  Handle a browser event that took place within the cell. The default implementation returns null.

  If you override this method to add support for events, remember to pass the event types that the cell expects into the constructor.

  Specified by:
    `onBrowserEvent` in interface `Cell<java.lang.String>`
  Overrides:
    `onBrowserEvent` in class `AbstractInputCell<java.lang.String,TextInputCell.ViewData>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `parent` - the parent Element
    `value` - the value associated with the cell
    `event` - the native browser event
    `valueUpdater` - a `ValueUpdater`, or null if not specified

### render

    public void render(Cell.Context context,
                       java.lang.String value,
                       SafeHtmlBuilder sb)

  Description copied from interface: `Cell`
  Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

  Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

  Specified by:
    `render` in interface `Cell<java.lang.String>`
  Specified by:
    `render` in class `AbstractCell<java.lang.String>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `value` - the cell value to be rendered
    `sb` - the `SafeHtmlBuilder` to be written to

### finishEditing

    protected void finishEditing(Element parent,
                                 java.lang.String value,
                                 java.lang.Object key,
                                 ValueUpdater<java.lang.String> valueUpdater)

  Description copied from class: `AbstractInputCell`
  Call this method when editing is complete.

  Overrides:
    `finishEditing` in class `AbstractInputCell<java.lang.String,TextInputCell.ViewData>`
  Parameters:
    `parent` - the parent Element
    `value` - the value associated with the cell
    `key` - the unique key associated with the row object
    `valueUpdater` - the value update to fire

### getInputElement

    protected InputElement getInputElement(Element parent)

  Description copied from class: `AbstractInputCell`
  Get the input element.

  Overrides:
    `getInputElement` in class `AbstractInputCell<java.lang.String,TextInputCell.ViewData>`
  Parameters:
    `parent` - the cell parent element
  Returns:
    the input element

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD